Bug 193219 - Kerberos ftp transfer speeds ans encryption
Kerberos ftp transfer speeds ans encryption
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-26 02:07 EDT by Borislav Stoichkov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 10:14:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Borislav Stoichkov 2006-05-26 02:07:44 EDT
Description of problem:
When encryption is used with the GSS FTP service transfer speeds are
significantly slower (around 10 times) than unencrypted sessions.

Version-Release number of selected component (if applicable):
krb5-libs-1.4.1-5
krb5-server-1.4.1-5
krb5-workstation-1.4.1-5

How reproducible:


Steps to Reproduce:
1. /usr/kerberos/bin/ftp -x hostname
2. put largefile
3. monitor progress
  
Actual results:
The file gets transfered with a speed of around 1mb/sec

Expected results:
If the ftp client is called without -x speeds are around 10mb/sec (expected at
100mbit/sec connection)

Additional info:

Note You need to log in before you can comment on or make changes to this bug.